-- Title: Pet Battle FF Victory
-- Author: LownIgnitus
-- Version: 1.0.0
-- Desc: A simple addon to change the victory sound for pet battles

--Version Information
local Title = "|cff00ff00Pet Battle FF Victory|r"
local Core = "|cffFF45001|r"
local Revision = "|cffFF45000|r"
local Build = "|cffFF45000|r"
SLASH_PBFFV1 = '/pbffv'

-- Frame Definitions
local pbffvFrame = CreateFrame("Frame")

-- catch functions
function RegisterPetBattleEndEvent()
	pbffvFrame:RegisterEvent("PET_BATTLE_OVER")
	pbffvFrame:RegisterEvent("PET_BATTLE_FINAL_ROUND")
	pbffvFrame:SetScript("OnEvent", PBFFVFINALROUND)
	--print("Events Registered")
end

-- Print version info
function SlashCmdList.PBFFV(msg)
	if msg == "victory" then
		Victory()
	else
		print("Thank you for using " .. Title)
		print("Version: " .. Core .. "." .. Revision .. "." .. Build)
		print("Author:  |cffDA70D6LownIgnitus|r")
		print("Slash commands are listed below to follow /pbffv:")
		print("  -- victory -- Plays the FF Victory sound file.")
	end
end

-- play victory sound
function Victory()
	StopMusic();
	PlaySoundFile("Interface\\AddOns\\petbattleffvictory\\Music\\Victory.ogg")
	print("|cff00ff00Victory!|r")
end

-- detect end battle and pass to victory

function PBFFVFINALROUND(self,event,outcomenumber)
	if event == "PET_BATTLE_FINAL_ROUND" then
		--print("Outcomenumber: ", outcomenumber)
		StopMusic();
		if outcomenumber == 1 then
			Victory()
		end
	end
end

--initialize
RegisterPetBattleEndEvent()